version: '3.5'

services:
  fex:
    hostname: fex
#    image: registry.edoc2.com:5000/edoc2v5/fex:20231109161026
#    image: 192.168.251.78/edoc2v5/fex:20231204
#    image: 192.168.251.78/edoc2v5/fex:20131206
#    image: 192.168.251.78/edoc2v5/fex:20231206161138
    image: 192.168.251.78/edoc2v5/fex:202312071040
    volumes:
      - /home/edoc2/macrowing/edoc2v5/data/temporary:/home/temporary
      - /opt/fex/logs:/logs
    labels:
      "type": "0"
    networks:
      - edoc2
    env_file:
      ./envfile.env
    extra_hosts:
      - "redis1:192.168.251.198"
      - "redis2:192.168.251.60"
      - "redis3:192.168.251.58"
    deploy:
      placement:
        constraints:
          - node.labels.nodetype == InDrive
      replicas: 3
      endpoint_mode: dnsrr
      restart_policy:
        condition: on-failure
#      options:
#        max-size: "2048k"
#        max-file: "10"
#
networks:
  edoc2:
    external: true
    name: macrowing
